MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FlacMetadataChain Class Reference

`#include <FlacMetadata.hxx>`

## Public Member Functions
| FlacMetadataChain ()
| ~FlacMetadataChain ()
| operator FLAC__Metadata_Chain * ()
bool | Read (const char *path)
bool | Read (FLAC__IOHandle handle, FLAC__IOCallbacks callbacks)
bool | Read (InputStream &is)
bool | ReadOgg (const char *path)
bool | ReadOgg (FLAC__IOHandle handle, FLAC__IOCallbacks callbacks)
bool | ReadOgg (InputStream &is)
gcc_pure FLAC__Metadata_ChainStatus | GetStatus () const
gcc_pure const char * | GetStatusString () const
void | Scan (const TagHandler &handler, void *handler_ctx)

## Detailed Description

Definition at line 31 of file FlacMetadata.hxx.

## Constructor & Destructor Documentation

FlacMetadataChain::FlacMetadataChain | ( |  | ) |
| inline

Definition at line 35 of file FlacMetadata.hxx.

FlacMetadataChain::~FlacMetadataChain | ( |  | ) |
| inline

Definition at line 37 of file FlacMetadata.hxx.

## Member Function Documentation

gcc_pure FLAC__Metadata_ChainStatus FlacMetadataChain::GetStatus | ( |  | ) | const
| inline

Definition at line 74 of file FlacMetadata.hxx.

gcc_pure const char* FlacMetadataChain::GetStatusString | ( |  | ) | const
| inline

Definition at line 79 of file FlacMetadata.hxx.

FlacMetadataChain::operator FLAC__Metadata_Chain * | ( |  | ) |
| inline explicit

Definition at line 41 of file FlacMetadata.hxx.

bool FlacMetadataChain::Read | ( | const char * | path | ) |
| inline

Definition at line 45 of file FlacMetadata.hxx.

bool FlacMetadataChain::Read | ( | FLAC__IOHandle | handle,
|  | FLAC__IOCallbacks | callbacks
| ) |  |
| inline

Definition at line 49 of file FlacMetadata.hxx.

bool FlacMetadataChain::Read | ( | InputStream & | is | ) |
| inline

Definition at line 55 of file FlacMetadata.hxx.

bool FlacMetadataChain::ReadOgg | ( | const char * | path | ) |
| inline

Definition at line 59 of file FlacMetadata.hxx.

bool FlacMetadataChain::ReadOgg | ( | FLAC__IOHandle | handle,
|  | FLAC__IOCallbacks | callbacks
| ) |  |
| inline

Definition at line 63 of file FlacMetadata.hxx.

bool FlacMetadataChain::ReadOgg | ( | InputStream & | is | ) |
| inline

Definition at line 69 of file FlacMetadata.hxx.

void FlacMetadataChain::Scan | ( | const TagHandler & | handler,
|  | void * | handler_ctx
| ) |  |

The documentation for this class was generated from the following file:

- decoder/plugins/FlacMetadata.hxx